#ifndef UNIXPRIVS_H
#define UNIXPRIVS_H

#include <sys/types.h>
#include <pwd.h>
#include <unistd.h>

#include <stdio.h>
#include <stdlib.h>
#include <grp.h>
#include <string.h>
#include <errno.h>
char * cgul_process_identity_oneline(void);
uid_t threadsafe_getuid_from_name (const char * username);
gid_t threadsafe_getgid_from_name (const char * groupname);
int downgradeEffectiveToRealUid (uid_t * real_uid, uid_t * saved_uid);
int upgradeEffectiveToRealUid (uid_t real_uid, uid_t saved_uid);
int get_gidlist(
        const char * username,
        int * ngroups,
        gid_t ** group_list
    );
#endif
